SXRM(1)

NAME
sxrm - remove files or directories

SYNOPSIS
sxrm [OPTIONS]... sx://[profile@]cluster/volume/path...

DESCRIPTION
Remove files or directories from SX volumes.

OPTIONS

-h, --help
    Print help and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

-r, --recursive
    Recursively remove entire directories

--ignore-errors
    When deleting multiple files, keep processing them even when errors occur. Without this option, sxrm stops at the first error.

-c, --config-dir=PATH
    Path to the SX configuration directory (default: ~/.sx)

-f, --filter-dir=PATH
    Path to the SX filter directory (default: /usr/lib/sxclient)

-D, --debug
    Enable debug messages.

EXAMPLES
To recursively remove the directory 'example' from the volume 'data' run:
sxrm -r sx://cluster/data/example/

SEE ALSO
sxls(1), sxmv(1), sxcp(1), sxcat(1), sxrev(1), sxinit(1)